CAST128 Class Reference

CAST-128 More...

`#include <cast.h>`

Inheritance diagram for CAST128:

## Public Types

typedef BlockCipherFinal< ENCRYPTION, Enc > | Encryption
typedef BlockCipherFinal< DECRYPTION, Dec > | Decryption

## Static Public Member Functions

static const char * | StaticAlgorithmName ()
static size_t | StaticGetValidKeyLength (size_t n)

## Static Public Attributes

static const int | BLOCKSIZE
static const int | MIN_KEYLENGTH
static const int | MAX_KEYLENGTH
static const int | DEFAULT_KEYLENGTH
static const int | KEYLENGTH_MULTIPLE
static const int | IV_REQUIREMENT
static const int | IV_LENGTH

## Detailed Description

CAST-128

Definition at line 25 of file cast.h.

The documentation for this class was generated from the following file:

- cast.h